#include "triangles.h"
#include <bits/stdc++.h>

#define all(v) v.begin(), v.end()
#define len(v) (int)v.size()

using namespace std;
using ll = long long;
using ld = long double;


vector<vector<int>> solve(int n) {
    for (int i = 0; i < 4; ++i)
    {
        for (int j = 0; j < 4; ++j)
        {
            if (i == j) continue;
            set<int> st = {0, 1, 2, 3};
            st.erase(i);
            st.erase(j);
            int v = *st.begin(), u = *(++st.begin());
            vector<Triangle> left = {Triangle(i, j, v), Triangle(i, j, u}};
            vector<Triangle> right = {Triangle(v, u, i), Triangle(v, u, j};
            int res = compare(left, right);
            if (res == 0)
            {
                return {{i, j, v}, {i, j, u}};
            }
        }
    }
    throw(0);
}
